---
title: "Add fiscal qr image"
url: "https://developer.incode.com/api-reference/add-fiscal-qr-url-image/"
section: "api-reference"
group: "Fiscal QR URL"
version: "v1.1"
status: "live"
endpoint: "POST /omni/add/fiscal-qr-url-image"
---
# Add fiscal qr image

`POST /omni/add/fiscal-qr-url-image`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Upload a fiscal qr image as base64 to session. The data available in the url embedded in the qr will be available via the [Get fiscal qr url response](ref:getfiscalqrurlresponse) endpoint.
(México only)

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `base64Image` | string |  | Image in base64 format. One of base64Image or imageUrl is required |
| `imageUrl` | string |  | URL of the image. One of base64Image or imageUrl is required |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |
| `rfc` | string |  |  |
| `curp` | string |  |  |
| `name` | string |  |  |
| `firstLastName` | string |  |  |
| `secondLastName` | string |  |  |
| `birthdate` | string |  |  |
| `denomination` | string |  |  |
| `regime` | string |  |  |
| `constitutionDate` | string |  |  |
| `operationStartDate` | string |  |  |
| `personStatus` | string |  |  |
| `lastSituationChangeDate` | string |  |  |
| `state` | string |  |  |
| `delegation` | string |  |  |
| `colony` | string |  |  |
| `streetType` | string |  |  |
| `streetName` | string |  |  |
| `extNumber` | string |  |  |
| `intNumber` | string |  |  |
| `postalCode` | string |  |  |
| `email` | string |  |  |
| `al` | string |  |  |
| `fiscalRegime` | string |  |  |
| `fiscalStartDate` | string |  |  |
| `error` | string |  |  |
| `result` | string |  |  |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X POST https://demo-api.incodesmile.com/omni/add/fiscal-qr-url-image \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0" \
  -H "Content-Type: application/json" \
  -d '{
    "base64Image": "",
    "imageUrl": ""
  }'
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/add/fiscal-qr-url-image", {
  method: "POST",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
      "Content-Type": "application/json",
  },
    body: JSON.stringify({
      "base64Image": "",
      "imageUrl": ""
    }),
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
    "Content-Type": "application/json",
}
res = requests.post("https://demo-api.incodesmile.com/omni/add/fiscal-qr-url-image", headers=headers, json={
  "base64Image": "",
  "imageUrl": ""
})
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/add/fiscal-qr-url-image"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString("{\n  \"base64Image\": \"\",\n  \"imageUrl\": \"\"\n}"))
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
